.cart-product-item {
    display: grid;
    grid-template-columns: auto 1fr auto;
    gap: 15px;
    align-items: start;
    margin-bottom: 15px;
    background: var(--body_alternate_background);
    overflow: hidden;
    padding: 10px;
    padding-right: 25px;
    border: 1px solid transparent;
    border-radius: var(--product_card_radius);
    transition: all .4s linear;
}

.cart-product-item.zoom {
    animation: display_out forwards 0.7s ease-out 1;
}

.cart-product-media {
    width: 125px;
    border-radius: var(--product_card_radius);
}

.cart-product-details {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 15px;
    height: 100%;
}

.cart-product-options {
    padding-top: 5px;
}

.cart-product-options li+li {
    padding-top: 2px;
}

.cart-product-price {
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: space-between;
    height: 100%;
    gap: 10px;
}

.cart-product-remove {
    width: 40px;
    height: 40px;
    background: var(--body_background);
    color: var(--text_color);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .4s ease-in-out;
}

.cart-product-remove svg {
    width: 14px;
    height: auto;
}

.main-cart--bottom-left,
.main-cart--bottom-right {
    display: grid;
    gap: 20px;
}

.cart-summary-price-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.cart-summary-price-item+.cart-summary-price-item {
    margin-top: 10px;
}

.cart-summary-payment.text-center .payment-icons {
    justify-content: center;
}

.shippng-estimation-box {
    background: var(--body_alternate_background);
    padding: 15px 20px;
    border-radius: 8px;
}

.shippng-estimation-head {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 10px;
    align-items: center;
}

.shippng-estimation-body .shippng-estimation-form {
    padding-top: 20px;
}

.shippng-estimation-content[open] .shippng-estimation-head svg path:last-child {
    display: none;
}

.dynamic-checkout__content .shopify-cleanslate li {
    height: auto !important;
    flex: 0 0 100% !important;
    margin: 10px 0 0 !important;
}

.cart-product-item .product-discount-item {
    padding-top: 10px;
}

.free-shipping-bar {
    padding: 10px 18px;
    border-radius: 10px;
    position: relative;
    border: 1px solid var(--color_success_text);
    overflow: hidden;
}

.free-shipping-bar strong {
    color: var(--color_success_text);
}

.free-shipping-bar:after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: var(--color_success_text);
    opacity: 0.2;
}

.progress-bar {
    height: 5px;
    border-radius: 30px;
    background-color: #eee;
    overflow: hidden;
}

.progress-bar:before {
    content: "";
    background-color: currentColor;
    border-radius: inherit;
    display: block;
    height: 100%;
    width: var(--progress_width, 0);
    transition: width .6s cubic-bezier(.7, 0, .3, 1) .1s;
}


/* cart drawer css start */

.cart--side-drawer {
    align-items: center;
}

.cart--side-drawer .side--drawer-header {
    grid-template-columns: 1fr;
}

.cart--side-drawer .side--drawer-panel {
    height: 100%;
}

.cart--drawer-content-header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.cart--drawer-heading {
    display: flex;
    align-items: center;
    gap: 10px;
}

.cart--drawer-content-header+.free-shipping,
.cart--drawer-content-header+.free-shipping-bar {
    max-width: calc(100% - 25px);
}

.cart--drawer-content-header+.free-shipping {
    padding-top: 20px;
}

.cart--drawer-content-header+.free-shipping-bar {
    margin-top: 20px;
}

.cart--drawer-main {
    display: grid;
    grid-template-rows: 1fr auto;
    height: 100%;
}

.cart--drawer-body {
    height: 100%;
    overflow-y: auto;
    padding-right: 8px;
}

.cart--drawer-body .empty--card {
    height: 100%;
}

.cart--drawer-body:has(.predictive--search-collections) .empty--card {
    height: auto;
}

.cart--drawer-body .cart--drawer-suggestions {
    padding-top: 20px;
}

.cart--drawer-suggestions-main {
    display: none;
}

.cart--drawer-suggestion-header {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    padding-bottom: 12px;
}

.swiper-pagination.swiper-pagination-cart-drawer {
    position: static;
    transform: unset;
}

.cart--drawer-suggestions-main {
    max-width: calc(85% - 500px);
    margin: 0 auto;
}

.cart--drawer-main .product-discount-item {
    padding-top: 5px;
}

.cart--drawer-main .product-discount-item span,
.cart--drawer-main .total-discount-item span:last-child {
    padding: 2px 6px;
    font-size: 10px;
}

.cart-product-details,
.cart-product-price {
    padding-bottom: 5px;
    padding-top: 5px;
}

.cart-drawer--footer-note {
    display: flex;
    align-items: center;
    padding-bottom: 20px;
    border-bottom: 1px dashed var(--border_color);
    margin-bottom: 20px;
}

.cart-note-item+.cart-note-item {
    border-left: 1px solid var(--border_color);
    padding-left: 15px;
    margin-left: 15px;
}

.cart-note-button {
    display: flex;
    align-items: center;
    background: transparent;
    gap: 10px;
}

.cart-note-button svg {
    width: 16px;
    height: auto;
}

.cart-note-content {
    position: absolute;
    width: 100%;
    height: 100%;
    max-height: 100% !important;
    left: 0;
    bottom: 0;
    visibility: hidden;
    z-index: 2;
    transition: .3s ease;
}

.cart-note-content.active {
    visibility: visible;
}

.cart-note-content-main {
    position: absolute;
    bottom: 0;
    left: 0;
    background: var(--body_alternate_background);
    padding: 30px;
    transform: translateY(100%);
    transition: transform .6s cubic-bezier(.7, 0, .2, 1);
}

.cart-note-content.active .cart-note-content-main {
    transform: unset;
}

.cart-note-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    background: rgba(var(--page_overlay_background), 0.2);
    transition: .8s cubic-bezier(.7, 0, .2, 1);
}

.cart-note-content.active .cart-note-overlay {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
}

.cart-note-content-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding-bottom: 20px;
}

.cart-drawer--footer {
    padding-top: 20px;
}

.cart-drawer--footer-content {
    display: grid;
    gap: 15px;
}

.cart-drawer-buttons {
    display: grid;
    align-items: flex-start;
    grid-template-columns: 0.5fr 1fr;
}

.cart-checkout-btn {
    flex-wrap: wrap;
    gap: 8px;
}

.cart-checkout-btn svg {
    width: 14px;
    height: auto;
    margin-bottom: 2px;
}

.cart--drawer-main .form--message {
    grid-column: span 3;
    margin: 0;
}


/* cart drawer css end */


/* cart page css start */

.main-cart--form .cart-product-item {
    background: transparent;
    border: 0;
    border-bottom: 1px solid var(--border_color);
    border-radius: 0;
    padding: 40px 0;
    margin: 0;
}

.cart-product-details .product--title+.product--pricing {
    padding-top: 3px;
}

.main-cart--form .cart-product-options {
    padding-top: 10px;
}

.main-cart--form .cart-product-remove {
    background: var(--body_alternate_background);
}

.main-cart--featured-images {
    display: none;
}

.cart-featured--image {
    border-radius: var(--card_radius);
}

.cart-featured--item {
    opacity: 0;
    visibility: hidden;
    height: 0;
    transition: .5s ease;
}

.cart-featured--item.active {
    opacity: 1;
    visibility: visible;
    height: auto;
}

.cart-featured--features {
    z-index: 2;
    padding: 30px;
}

.cart-featured--heading {
    padding-bottom: 20px;
}

.cart-featured--features-item {
    padding-top: 6px;
    transform: translateX(-15px);
    opacity: 0;
    transition: .3s ease;
}

.cart-featured--item.active .cart-featured--features-item {
    transform: unset;
    opacity: 1;
}

.main-cart--bottom {
    display: grid;
    grid-template-columns: 1fr;
    align-items: flex-start;
    margin-top: 40px;
    gap: 30px;
}

.cart-summary-buttons {
    display: grid;
    gap: 10px;
}


/* cart page css end */

@media (min-width:768px) {

    .cart-product-details,
    .cart-product-price {
        padding-bottom: 10px;
        padding-top: 10px;
    }

    .main-cart--bottom {
        grid-template-columns: 1fr 1fr;
        gap: 40px;
    }

    .main-cart--content .cart-product-details,
    .main-cart--content .cart-product-price {
        padding-bottom: 20px;
    }

    .cart-product-details .product--title {
        font-size: var(--medium_text);
    }
}

@media (min-width:1025px) {
    .main-cart--wrapper {
        display: grid;
        grid-template-columns: 1fr;
        align-items: flex-start;
    }

    .main-cart--wrapper.featured-images-enable {
        grid-template-columns: 2fr 1fr;
    }

    .main-cart--featured-images {
        display: block;
        position: sticky;
        top: calc(var(--header_height, 0px) + 20px);
    }

    .main-cart--content {
        padding-right: 20px;
    }

    .cart-product-remove:hover {
        background: var(--text_color);
        color: var(--body_background);
    }

    .cart-product-item:hover,
    .cart--drawer-suggestion-item:hover {
        border-color: var(--border_color);
    }

    .main-cart--bottom {
        gap: 50px;
    }

    /* .recommendations-outside-cart .cart--drawer-body .cart--drawer-suggestions,
    .half-width-menu .recommendations-outside-cart .cart--drawer-suggestions-main {
        display: none;
    }
    .recommendations-outside-cart .cart--drawer-suggestions-main,
    .recommendations-outside-cart .cart--drawer-body .cart--drawer-suggestions {
        display: block;
    } */
}

@media (min-width:1200px) {
    .main-cart--bottom {
        gap: 80px;
    }

    .main-cart--form .cart-product-media {
        width: 155px;
    }

    .main-cart--content {
        padding-right: 40px;
    }

    .cart--drawer-suggestions-main {
        max-width: calc(95% - 660px);
    }

    .main-cart--form .cart-product-details .product--title {
        font-size: var(--large_text);
    }
}

@media (min-width:1441px) {
    .main-cart--content {
        padding-right: 70px;
    }

    .main-cart--form .cart-product-media {
        width: 185px;
    }

    .main-cart--bottom {
        gap: 120px;
    }

    .cart--drawer-suggestions-main {
        max-width: calc(80% - 660px);
    }
}

@media (max-width:767px) {
    .cart-product-item {
        gap: 12px;
    }

    .main-cart--form .cart-product-item {
        padding: 25px 0;
    }

    .cart-product-media {
        width: 80px;
    }

    .main-cart--form .cart-product-options {
        padding-top: 2px;
    }

    .cart-product-options li {
        font-size: var(--small_text);
    }

    .cart-drawer--footer-note {
        padding-bottom: 12px;
        margin-bottom: 12px;
    }

    .cart-note-content {
        padding: 20px 30px;
    }

    .cart-note-content-header {
        padding-bottom: 8px;
    }

    .main-cart--content .cart-product-details,
    .main-cart--content .cart-product-price {
        padding-bottom: 0;
        padding-top: 0;
    }

    .cart-summary-price-item+.cart-summary-price-item {
        margin-top: 6px;
    }
}

@keyframes display_out {
    0% {
        transform: scale(1);
        width: 250px;
        min-width: 250px;
        opacity: 1;
        transform-origin: 125px 125px;
        max-height: 500px;
    }

    50% {
        transform: scale(0);
        opacity: 0.5;
        max-height: 50px;
    }

    100% {
        width: 0;
        min-width: 0;
        transform: scale(0);
        opacity: 0;
        padding: 0;
        margin: 0;
        max-height: 0px;
    }
}